For AI agents: a documentation index is available at /llms.txt. Markdown versions of pages are available by appending .md to any documentation URL.
Skip to main content

Client and network methods

These methods query client and network information, such as accounts, chain ID, protocol version, configuration, and sync status.

eth_accounts

Returns a list of account addresses a client owns.

note

This method returns an empty object because Besu doesn't support key management inside the client.

To provide access to your key store and then sign transactions, use Web3Signer with Besu.

Parameters

  • None

Returns

  • List of 20-byte account addresses owned by the client.

Example

curl -X POST http://127.0.0.1:8545/ \
-H "Content-Type: application/json" \
--data '{
"jsonrpc": "2.0",
"method": "eth_accounts",
"params": [],
"id": 53
}'

eth_blockNumber

Returns the index corresponding to the block number of the current chain head.

Parameters

  • None

Returns

  • Hexadecimal integer representing the index corresponding to the block number of the current chain head.

Example

curl -X POST http://127.0.0.1:8545/ \
-H "Content-Type: application/json" \
--data '{
"jsonrpc": "2.0",
"method": "eth_blockNumber",
"params": [],
"id": 51
}'

eth_capabilities

Returns the node's data-serving capabilities.

Parameters

  • None

Returns

  • Capabilities information.

    • head: object - Current chain head information.

      • number: string - Current chain head block number.

      • hash: string - Current chain head block hash.

    • state: object - State capability information.

      • disabled: boolean - Indicates whether the state resource is disabled.

      • oldestBlock: string - (Optional) Oldest available block.

    • tx: object - Transaction capability information.

      • disabled: boolean - Indicates whether the tx resource is disabled.

      • oldestBlock: string - (Optional) Oldest available block.

    • logs: object - Logs capability information.

      • disabled: boolean - Indicates whether the logs resource is disabled.

      • oldestBlock: string - (Optional) Oldest available block.

    • receipts: object - Receipts capability information.

      • disabled: boolean - Indicates whether the receipts resource is disabled.

      • oldestBlock: string - (Optional) Oldest available block.

    • blocks: object - Blocks capability information.

      • disabled: boolean - Indicates whether the blocks resource is disabled.

      • oldestBlock: string - (Optional) Oldest available block.

    • stateproofs: object - State proofs capability information.

      • disabled: boolean - Indicates whether the stateproofs resource is disabled.

      • oldestBlock: string - (Optional) Oldest available block.

    The oldestBlock field is included for block-backed resources when pruning has occurred. If the full chain is available, this can be 0x0.

Example

curl -X POST http://127.0.0.1:8545/ \
-H "Content-Type: application/json" \
--data '{
"jsonrpc": "2.0",
"method": "eth_capabilities",
"params": [],
"id": 1
}'

eth_chainId

Returns the chain ID.

Parameters

  • None

Returns

  • Chain ID in hexadecimal.

Example

curl -X POST http://127.0.0.1:8545/ \
-H "Content-Type: application/json" \
--data '{
"jsonrpc": "2.0",
"method": "eth_chainId",
"params": [],
"id": 51
}'

eth_config

Returns the client's fork information for the current, next, and last known forks.

info

This method is defined in EIP-7910 and enables node operators to verify client readiness for upcoming forks and debug configuration mismatches.

Parameters

  • None

Returns

  • Configuration information.

    • current: object - Current fork configuration.

      • activationTime: number - Fork activation timestamp (Unix epoch seconds).

      • blobSchedule: object - Blob configuration parameters.

        • baseFeeUpdateFraction: number - Base fee update fraction.

        • max: number - Maximum number of blobs per block.

        • target: number - Target number of blobs per block.

      • chainId: string - Chain ID in hexadecimal.

      • forkId: string - Fork hash as defined in EIP-6122.

      • precompiles: object - Active precompiled contracts with names and addresses.

      • systemContracts: object - System contract addresses.

    • next: object - Next fork configuration, or null if no future fork is scheduled.

    • last: object - The furthest configured future fork configuration (the future fork with the largest activationTime among the client's configured forks). If only one future fork is configured, next and last are the same object. null if no future fork is scheduled.

Example

curl -X POST http://127.0.0.1:8545/ \
-H "Content-Type: application/json" \
--data '{
"jsonrpc": "2.0",
"method": "eth_config",
"params": [],
"id": 1
}'

eth_protocolVersion

Returns current Ethereum protocol version.

Parameters

  • None

Returns

  • Ethereum protocol version.

Example

curl -X POST http://127.0.0.1:8545/ \
-H "Content-Type: application/json" \
--data '{
"jsonrpc": "2.0",
"method": "eth_protocolVersion",
"params": [],
"id": 1
}'

eth_syncing

Returns an object with data about the synchronization status, or false if not synchronizing.

note

Once the node reaches the head of the chain, eth_syncing returns false, indicating that there is no active syncing target.

Parameters

  • None

Returns

  • Synchronization status data object, or false if not synchronizing.

    • startingBlock: string - Index of the highest block on the blockchain when the network synchronization starts.

    • currentBlock: string - Index of the latest block (also known as the best block) for the current node (this is the same index that eth_blockNumber returns.)

    • highestBlock: string - Index of the highest known block in the peer network (that is, the highest block so far discovered among peer nodes. This is the same value as currentBlock if the current node has no peers.)

    • pulledStates: string - The number of state entries fetched so far, or null if this is not known or not relevant (if full syncing or fully synchronized, this field is not returned.)

    • knownStates: string - The number of states the node knows of so far, or null if this is not known or not relevant (if full syncing or fully synchronized, this field is not returned.)

Example

curl -X POST http://127.0.0.1:8545/ \
-H "Content-Type: application/json" \
--data '{
"jsonrpc": "2.0",
"method": "eth_syncing",
"params": [],
"id": 51
}'